CHANGE_LOG

For the Github commit log see here: https://github.com/jks-prv/Beagle_SDR_GPS/commits/master

v1.332  September 15, 2019
    Fix for backward compatibility with older versions of antenna switch extension.

v1.331  September 12, 2019
    Support wider range of local network interface devices.

v1.330  September 11, 2019
    Added my.kiwisdr.com registration option.
    Automated build of all FPGA configurations via Vivado tcl scripting (thanks Christoph!)

v1.329  September 6, 2019
    For kiwirecorder waterfall better compatibility with Kiwis running older software versions.

v1.328  September 5, 2019
    New API allowing kiwirecorder to specify waterfall center frequency.

v1.326,327  September 3, 2019
    TDoA: Preliminary KML support changes.

v1.323,324,325  August 31, 2019
    FAX extension:
        Display correct aspect ratio (i.e. circle on FAX should now appear circular).
        Reduce cpu load which prevents problems when running on 3-channel / 20.25 kHz Kiwis.

v1.322  August 30, 2019
    FAX extension:
        Increased passband for sharper FAX images.
        Realtime scheduling changes needed by auto alignment.

v1.320,321  August 29, 2019
    FAX extension:
        Fixed a bug with auto alignment.
        "use phasing" checkbox renamed "auto align".
    S-meter extension:
        Added more marker interval values.

v1.319  August 28, 2019
    Fixed bug in audio FFT mode. If you visited a new Kiwi for which no FFT WF max/min cookie
        values had ever been stored you'd always get a black waterfall until clicking "Auto Scale"
        and then reloading the page.
    FAX extension:
        Now has a 2k line scroll-back buffer.
        Added phasing and autostop capabilities. Phasing will automatically align (shift) the image
        horizontally if the phasing signal at the beginning of the transmission is clear enough.
        Autostop will stop the image buffer updating if the fax start/stop tones are clear enough.
    S-meter extension:
        Now has stop/start and "mark" buttons.

v1.318  August 27, 2019
    FAX extension:
        Add LPM (lines per minute) selection. Automatically set 60 LPM for JJC/JSC
        Frequency list corrections; added XSG Shanghai; removed BMF Taipei
    S-meter extension:
        Don't clear graph on frequency change. Instead draw vertical division marker: red when
        frequency change, green when mode change.
    Better detection of missing audio panner API on some browsers.

v1.317  August 26, 2019
    Added to admin network tab a new switch:
        "Prevent multiple connections from the same IP address?"
        Defaults to NO. The check is bypassed for local net connections and those
        requiring a user password. And also for any admin connections.

v1.316  August 25, 2019
    Fix bug with ADC overflow averaging. First development extension parameter sets
        averaging mask (see Kiwi forum).

v1.315  August 24, 2019
    In Verilog FPGA code use a more correct method of moving register data between
        different clock domains (suggested by Christoph).
    Do averaging of ADC overflow signal prior to generating "OV" indicator on S-meter.

v1.314  August 20, 2019
    Improve browser audio initialization errors logged by server.

v1.313  August 18, 2019
    Fix time limit exemption password problem.

v1.312  August 17, 2019
    Added left-right panning slider to audio tab. Usefulness is limited by the fact that there is
    no audio synchronization between multiple channels on the same Kiwi. And especially not between
    different Kiwis. For example frequency/location diversity reception using two channels and
    L-R separation will be problematic depending on the signal type being received.

    Pan slider does not appear when using Safari or with any browser on iOS (i.e. iPhone, iPad).
    This is because Apple doesn't have the necessary audio support.
    Tested with desktop Firefox/Chrome and with Android 8.x

    Feature suggested by github.com/jks-prv/Beagle_SDR_GPS/issues/282

v1.311  August 16, 2019
    Added IP blacklist to admin network tab (uses Linux iptables).

v1.310  August 15, 2019
    Identify and disconnect bots which are not following the Kiwi connection API.
    
    Added wlan1 to eth0 and wlan0 as valid local network interfaces.
        Note that WiFi wlan interfaces do not work with the admin page DUC client and static/DHCP
        configuration on the network tab. Existing Debian/Linux WiFi tools must be used instead.

v1.309  July 20, 2019
    TDoA extension: revert back to latest map provider and TDoA user interface.

v1.307,308  July 19, 2019
    TDoA extension: revert to broken Google maps due to unavailability of current map provider.

v1.306  July 18, 2019
    Admin GPS tab improvements:
        Galileo sats in alert are removed from the channel after a few seconds.
        New priority mode for QZSS. It's been pointed out that because there are relatively
            few QZSS sats at present (4 currently) they can be unfairly "locked out" if many
            Navstar and Galileo sats are being received and taking all the channels.
            If the priority checkbox is set the last two free channels are reserved for QZSS sats.
            This number is reduced if sufficient QZSS sats already occupy a channel.
            For example if 3 QZSS sats have a channel only one is reserved to try and capture the 4th.

v1.305  July 17, 2019
    Admin GPS tab improvements:
        Disabling GPS acquisition of individual GNSS system clears associated channels.
        Changed options to checkboxes; better descriptions.

v1.303,304  July 16, 2019
    Added checkboxes to enable acquisition of individual GNSS systems.
    Added "Include Galileo?" switch on GPS tab of admin page.
    Fixed bug where change of "Include alerted?" switch didn't have immediate effect.

v1.302  July 15, 2019
    Added E1B alert flag processing to Galileo sats.

v1.300,301  July 10, 2019
    Update Debian archive keyring to eliminate clang package errors.

v1.299  July 9, 2019
    By special request (time-sensitive): option to automatically update WPSR reporter grid from GPS.
        See the WSPR section of the admin "extensions" tab. Useful for Kiwis in motion.

v1.297,298  July 6, 2019
    TDoA extension improvements:
        Changed to "pie wedge" animation during 30 second signal sampling.
        Checkboxes are displayed after sampling that can be used during a rerun to exclude stations.
            Useful when you've decided a station in the sampling list is giving poor results.
            Only applies to the rerun button and not the full submit button.
        Fixed various marker problems when switching between result and setup maps.

v1.296  July 5, 2019
    TDoA extension improvements:
        Help panel now explains URL parameters.
        Sampling and reference stations given in URL can be abbreviated.
            (e.g. "dcf" matches "DCF77", "cyp2" matches "OTHR/CYP2")
        Added "listen" icon (green speaker) to sampling station list.
            Previously you could double-click a sampling station marker on the map to open a
            connection in another window to check if that Kiwi is hearing the target signal.
            The listen icon does the same thing but from within the control panel.
        Added Cypress reference stations: alternative OTHR/CYP2 site, TWR/R.Sawa MWBC site.

v1.295  June 25, 2019
    Make audio work on SmartTV browser (developed on an LG WebOS UH652V TV)

v1.294  June 22, 2019
    Fix FSK extension shift/baud processing.

v1.293  June 21, 2019
    URL parameters added for the FSK extension. Help button panel added for FSK and IQ extensions.
    
    Last admin tab used is reselected on page load.
    
    Kiwi scanner (kiwisdr.com/scan) v1.5 allows port number to be specified.

v1.292  June 16, 2019
    Masked frequencies will not be applied when a valid time limit exemption password is given in
        the URL, e.g. mykiwi.com:8073/? ... &pwd=the_password (or &password=the_password)
        Connections from the local network (normally privileged) still see the effect of the
        masked frequencies.  This is so admins can setup and test masked labels from the main UI.
        The time limit exemption password is set on the control tab of the admin page.
        This is separate, and not to be confused with, the user password on the admin security tab
        which controls access to the sdr channels.
    
    Fixed a bunch of masked frequency related bugs including a problem when running in 20 kHz mode.

    If a Kiwi has time limits or masked frequencies configured an icon will be included in the
        status line appearing on sdr.hu and kiwisdr.com/public (i.e. alongside the existing icons
        indicating 20 kHz mode, GPS enabled and the antenna switch extension available).
        An hour-glass icon if inactivity or 24 hour time limits are configured.
        A red, circle-slash "no entry" icon if masked frequencies are configured.
    
    Keep GPS az/el background image from flashing with latest versions of Firefox and Safari.
    
    Update TDoA help button panel to indicate current mode setting is ignored (IQ data is always used).
    
    Ran clang static analyzer over entire source code base. Found a few bugs.
        Also ran the clang address sanitizer for a while and fixed a few memory leaks.

v1.291  June 13, 2019
    Fix problems with the last release:
        Deleting masked frequency labels.
        Missing echoing of black dots in password fields.
        A single step of the mouse wheel didn't always zoom.
        Reduce unnecessary cases of "click to start" being displayed.

v1.290  June 12, 2019
    UI changes for devices with small screens: (phones or tablets)
        Clicking control panel navbar "Off" icon repeatedly will toggle the top bar visibilities.
            Similar to how 'y' shortcut key functions with desktop browsers.
        For narrow phone-width screens the control panel is scaled to fit the screen width
            if the phone is being held in "portrait" orientation when connecting to the Kiwi.
    
    Support for "masked" frequencies where the audio is muted and the waterfall blanked.
        Designed to help deter users who camp on particular frequencies for long periods of time.
        As admin create DX label(s) with a type value of "masked". When any part of the current
        passband crosses into the masked area the audio is muted. The mode of the label determines
        the width of the masked/blanked area (as seen on the waterfall). Custom label passbands apply
        so you can precisely control which frequencies are masked.
    
    S-meter extension now has selectable averaging. Previously, when the measurement speed
        speed was low, the multiple S-meter samples were plotted along the same x-axis position.
        Also, the speed slider now selects an inverse power of two samples (was linear).
        The maximum measurement interval (1/4096) is now roughly 1.5 minutes.
    
    Support for cloning Kiwi configuration files from another running Kiwi. See new user interface
        on the admin config tab. This is intended for owners of multiple Kiwis (yes they exist!)
        that want an easy way to replicate an existing configuration before further customization.
        All of the relevant files in /root/kiwi.config are cloned including kiwi.json, admin.json,
        dx.json and config.js (band definitions). Option to clone only the dx.json file.
        
    Better trackpad/mouse-wheel waterfall zoom behavior.
        Previously the trackpad response was too sensitive causing the zoom to go full max/min
        instantly for a small trackpad movement even though a mouse wheel worked reasonably.
    
    Proxy support for variable port number.
        Previously only one Kiwi could be proxied per public ip address.
        Now multiple Kiwis with different local port numbers can use the proxy service behind
        a router with a single public ip/global-port. The Kiwis are differentiated by their
        host names on the proxy. E.g. mykiwi1.proxy.kiwisdr.com:8073/ and
        mykiwi2.proxy.kiwisdr.com:8073/ (note both port 8073) where mykiwi1 could be on
        local network port 8073 and mykiwi2 on local port 8074.

v1.289  May 13, 2019
    Save/restore last squelch value set.
    
    SSTV extension:
        New modes now working: R24, R36, W2120, W2180, PD50, PD90
        Untested modes: M3, M4
        "auto adjust" checkbox and associated "undo adjust" / "auto adjust" button.
            Allows you to undo a faulty auto image adjust or disable entirely.
        Added help button info.
        Use URL containing e.g. "&ext=sstv,14" to select 14230 band menu entry.
            Other options "test", "noadj".

v1.288  May 11, 2019
    UI changes for devices with small screens: (phones or tablets)
        Control panel defaults to "Off" option tab making it smaller.
        Top bar (Kiwi information) is hidden but label area remains visible.
        Purple "readme" panel is always closed even on first-time site visit.

    SSTV extension:
        Robot modes R72 and R12BW working. R24, R36 and other B/W modes still need work.
        Band menu now has optimized passband for 1200-2300 Hz SSTV signal.
        Added reset button.

v1.287  May 9, 2019
    Fix problem preventing network update from factory-shipped v1.2
    SSTV code cleanup

v1.286  May 8, 2019
    Sig gen extension now requires admin password (local network exemption applies).

    SSTV extension:
        Fixed left-edge image offset after manual slant correction.
        Show mode of each received image.
        Added band select menu.

v1.285  May 6, 2019
    The "disable recent changes" switch is now on the update tab of the admin page.
    
    SSTV extension:
        Display reception SNR.
        Improved realtime behavior during times of low SNR.
            (was doing too much extra computation causing undesirable side-effects)
        Fixed a bunch of buffer overflow/leakage problems.
        
        Added manual slant/offset correction:
            Click two points in the image that correspond to where you think the left edge is located.
            Sometimes this appears in the image as a black vertical "sync stripe".
            
            The two points define a line whose angle is used to correct the slant of the image.
            The image left edge is also set to this line position after the slant is corrected.

            The clicked points do not have to be at the extreme top and bottom of the image.
            Click anywhere along the vertical axis to define the line. Only the accuracy of the
            angle and horizontal position is important.
            
            Limitations:
            Currently you can only adjust the most recently received image if multiple images
            are displayed (the image marked by the yellow triangle is the latest received)
            
            Bugs:
            The slant is properly corrected, but many times the left edge is not. Worse, the
            color planes become separated. This is being worked on.

v1.284  May 3, 2019
    Add admin config option to disable recent changes (e.g. Firefox audio fix)
    Alpha test of SSTV extension. Many known bugs. No UI features yet.

v1.283  April 28, 2019
    Workaround for Firefox problem: audio/WF stops when action taken that opens another window/tab
        (e.g. right-click menu database lookup selection)
    Move "OV" indicator to cover "dBm" text instead of numerical value on S-meter.

v1.282  April 14, 2019
    Change de-emphasis filter to a Biquad. Attenuation curve is much better (but still not perfect,
        especially for 12 kHz sample rates i.e. 4 and 8-channel modes).
    Fixed passband CF tooltip when downconverter offset used.

v1.281  April 12, 2019
    Add URL parameter "peak" to set spectrum peak hold mode (overrides last value saved in cookie)
        e.g. "&peak", or redundantly "&peak=1", but more usefully "&peak=0"

    Audio FFT:
        Allow URL parameter "no_wf" to be used in 4 and 3-channel modes, not just 8-channel mode.
            This is useful e.g. if you want to use the audio FFT to study the frequency response of
            the new de-emphasis filter in 20 kHz mode (3-channel mode) where you would otherwise
            never be given the audio FFT because there is no shortage of waterfall channels.
        Added missing window function to FFT.
        Fixed scale/waterfall click frequency in non-IQ modes.

    Added signal generator extension. When enabled replaces ADC input to audio/waterfall DDCs
        with a tunable RF signal source using the same FPGA DDS IP block used by the DDC mixers.

        WARNING: Be careful about drawing conclusions re Kiwi performance and possible bugs
        when using the sig gen. It reveals spurious responses in the waterfall/spectrum to a greater
        degree than if you just tune around with an antenna connected. But without detailed
        experimentation it can be difficult to know where the limitations are. Remember that the
        Kiwi is a carefully balanced compromise to get 4-channel mode to work (i.e. fit in the FPGA
        and have enough Beagle CPU cycles). So the DDSs, mixers, DDCs and FFTs are not perfect.
        Speaking of compromise, when considering FFTs it's important to understand this:
        https://en.wikipedia.org/wiki/Spectral_leakage

v1.280  April 8, 2019
    Spectrum improvements:
        Add peak hold function. When running toggle "Peak" button to clear and restart.
        Last spectrum filter, filter parameter and peak hold setting saved in browser cookie.

    Audio improvements:
        Added de-emphasis control on audio tab. Standard 50us NA and 75us EU attenuation profiles.
            AM/NBFM modes only. Attenuation curves may not be 100% correct. Needs measurement.
            Should help reproduce flat passbands transmitted by AM/NBFM stations using pre-emphasis.
            Will also help with listening fatigue caused by excessive high-frequency gain.
        Fixed bug that caused distortion in 3 channel mode when audio bandwith at 20.25 kHz maximum.

v1.279  April 7, 2019
    Added to WF tab:
        Selectable spectrum filters, IIR, MMA, EMA with parameter slider.
        Corresponding URL parameters e.g. &sp=ema&spp=16 &sp=iir&spp=0.5
        "GND" momentary button that zeros (grounds) the waterfall/spectrum input data
            so you can see how the various spectrum filter setups decay.

v1.278  April 1, 2019
    Denoiser/autonotch checkboxes in audio tab now correctly load LMS_filter extension code.

v1.276, 277  March 29, 2019
    Clicking on frequency link icon (lime-colored, NE-pointing arrow near frequency entry box)
        now copies URL to clipboard directly. Hover on icon to see generated URL.

    Fixed built-in recording function for IQ mode (recording using other modes was fine).
        Left channel was full-scale noise and playback sample rate wrong due to incorrect
        sample size being set in file. Can't believe no one complained about this before.
        But some playback software may have compensated for this issue automatically.

    Fixed problem with IQ mode AGC distortion found by DazDSP. This may improve DRM reception.
        See: https://github.com/jks-prv/Beagle_SDR_GPS/issues/220

v1.275  March 20, 2019
    Improvements to FSK extension
        Added menu presets for Ham band RTTY calling frequencies.
        Added a preliminary help button panel.
        In framing mode changing the bits/word value immediately redraws using the current sample
            instead of requiring a new sample to be taken. This makes it easier to work with
            FSK transmissions that are intermittent in nature.

v1.274  March 17, 2019
    Added URL parameter "keys=" to apply specified keyboard shortcut keys upon connection.
        Example: "keys=xyyys" would cause the control panel to be hidden ('x' key),
        top and label bars to be hidden ('yyy' keys) and spectrum display to appear ('s' key).
        The shift key can obviously be used (e.g. capital 'S' for waterfall auto-scale) but the
        control and option keys cannot. But this should not be a significant limitation as it only
        effects parameters which can be set in other ways (see below).

        The keys used to enter values and options into the frequency box cannot be entered using
        this new parameter. Use the existing "f=" URL parameter instead. Remember that you can
        directly set the zoom value using the f= parameter since the other components are optional
        e.g. f=usbz7 f=/750cwz12 f=z4
        
    Added URL parameter "wfm=min{,max}" to directly set waterfall colormap control values.
        Example: wfm=-90 (WF max value is unchanged) wfm=-120,-60 (changes both values)

v1.273  March 15, 2019
    URL parameter "abuf=min" for specifying the minimum length of the audio output buffer (in secs)
        can now optionally take the form "abuf=min,max" e.g. "abuf=0.6,1.2" for 0.6 to 1.2 seconds
        worth of buffering. With only min specified the default max is min * 3 which may be
        too much in some cases.

v1.272  March 14, 2019
    Added URL parameters "p", "prot" and "protected" (they are all equivalent) to force a
        password protected channel to be used when connecting. This is for the case of a Kiwi with
        a mix of password protected channels and publicly available channels without a password. 
        And you want to connect without decreasing the pool of public channels.
        
        Note that if you are connecting from the same local network as the Kiwi, and admin auto-login
        has been setup, this is counted as a connection from the password protected pool and you
        do not need to specify this parameter. So you would not need to specify the "prot"
        parameter for a Kiwi on your local network but you would need it for a Kiwi installed at
        a remote location. Or it would be needed by a group of users to access the private channel(s)
        without impacting the availability of the public pool.

v1.270, 271  March 5, 2019
    Step to next/previous DX label (filtered or not) using the following:
        Shift-and-alt/option j, i, or left/right arrow keys (i.e. hold both shift and alt/option)
            (shift-key alone and alt/option-key alone of these keys speedup the frequency step
            function these keys normally perform. See the keyboard shortcut help menu)
        Shift-click on control panel pan buttons (circled "<" and ">" icons)
    When label stepping the current mode and custom passband (if any) is set
    
    Automatically close filter panel when both fields are set empty.
    
    Fixed a bug where if filtering was in effect, and you edited a label, the results of the
        editing would not appear in the filtered results immediately.

v1.269  March 3, 2019
    Added DX label filtering. Type '@' keyboard shortcut or use entry in right click menu.

v1.267, 268  March 1, 2019
    In user tab on control panel show time remaining for both the inactivity timeout and connect
        time per ip address per 24 hours. Inactivity limit suffixed with "act" and resets when
        frequency, mode or zoom changed. Per-ip limit suffixed with "24h". Lesser of the two
        values is shown.
    The time limit exemption password can now be given in the URL, e.g. mykiwi:8073/?pwd=xyz
        Or use 'password=' in place of 'pwd='

v1.266  February 26, 2019
    Fixes for IQ balance function in IQ extension:
        Improved the user interface.
            Now warns to turn PLL mode OFF.
            Added "reset to default values" button.
            Show previous total IQ offset in addition to pending IQ offset adjustment.
        Discovered that 20 kHz mode (aka 3-channel mode) requires a different default IQ
            offset from 12 kHz (4/8-channel) mode.
        Added manual IQ offset adjustment to admin config tab. 

v1.265  February 18, 2019
    AM mode passband changed from 10 kHz to 9.8 kHz to avoid adjacent channel heterodynes in
        shortwave broadcast bands (by request).
    Show error pattern in LEDs if ip address was never assigned by DHCP or self-assignment.

v1.264  February 8, 2019
    Fixed a few buffer smashes.
    Got admin console control keys working again due to browser API changes (i.e. ^C ^D ^\)
    Better support for compiling and debugging with the LLVM/Clang address sanitizer (replaces valgrind)
    Log ipinfo and timezone servers used.

v1.263  February 5, 2019
    Fixed a problem with FAX extension. File saves show you results from the first save repeatedly
    (i.e. on subsequent saves) due to interactions with the browser cache.

v1.262  January 28, 2019
    Fixed audio CIC passband flatness (thanks Christoph).
    admin UI improvements: sdr.hu location and network auto-NAT fields.
    FSK crosshairs now follow waterfall panning.
    A few corrections to extension help button info.

v1.261  January 15, 2019
    Improved compatibility with recent Android versions.
        E.g. now working with Android 8.1.0, "Go" version.

v1.259, 260  January 12, 2019
    Added debugging for lock priority inversion problem.

v1.257, 258  January 9, 2019
    TDoA UI improvements:
        Added "4" button to zoom buttons at upper left. Zooms directly to level 4.
        Shift-clicking on the +/- buttons zooms by 3 levels instead of just one.
        Added distance scale (in km/m & miles/feet) to map at lower right.
        Added ruler function. Click on the "protractor" icon at lower right. Mouse cursor will
            change to cross symbol. Click on starting map position. Move mouse to ending map
            position and double-click to end ruler measurement. Or single-click to make
            intermediate measurement and continue. Click on icon to clear measurement.
            Don't use escape key as that will close the extension! (this may be fixed in the future)
    
    Admin GPS tab: now says "loading maps..." when display delayed due to map download process.

    By request: URL parameter "no_geo" to disable browser from determining and sending Kiwi the
        geolocation information of the connecting user.
        Use like other URL parameters, e.g. "mykiwi:8073/?f=5Mam&mute&no_geo"
        This will someday become one of the "user preferences" options.

v1.256  January 8, 2019
    TDoA
        Fixed bug introduced in v1.255 causing some TDoA solutions to fail.
        UI improvements:
            Mousing over markers makes them highlight in yellow.
            Marker overlap. When markers (Kiwis and reference stations) are located within 2 km
            of each other the selected marker(s) are separated by a small amount. This amount
            matters less in terms of location accuracy as the zoom level is increased.
            So it's a compromise between less overlap and marker accuracy.

v1.255  January 7, 2019
    TDoA improvements:
        20 and 12 kHz Kiwis can now be used together in computing TDoA solutions.
        Old TDoA algorithm is deprecated and no longer available from user interface.
        New "spiderfy" user interface for marker clusters:
            When the mouse moves over a marker cluster (circle with number representing the number
            of contained host or reference markers) a popup list used to be displayed.
            But this popup list was static and you couldn't selected an entry by clicking on it.
            Now a "spiderfied" view of the cluster is presented where the contents of the cluster
            pop-out and are linked back to the center of the cluster with white lines.
            While popped-out you can click on the host or reference marker to select it.

            To remove the spider mouse over another cluster or click on the map (outside a cluster).

            To revert to the old user interface start the TDoA extension from the URL specifying
            the "prev_ui:" parameter e.g. "mykiwi:8073/?ext=tdoa,prev_ui:" (note ending ":")
            
            There is still a problem of markers sometimes overlapping each other when selected as
            sampling stations or as the reference station.

v1.254  January 6, 2019
    TDoA: fixed spurious "no recent GPS timestamps" error after sampling.
    Better admin network DHCP/static-ip selection checking.
    Admin login: display a different message and client ip when no admin password set.
        Done as an aid in debugging the issue where people say they're getting a password prompt
        on new out-of-the-box Kiwis when a local network login should work.

v1.252, 253  January 4, 2019
    TDoA timing normalization for 20 kHz mode.

v1.251  January 1, 2019
    Add icon and "20 kHz" to sdr.hu status for Kiwis in new wide bandwidth mode.
    
    MSK100/200 mode for the iq display from Christoph. Useful for looking at VLF MSK signals
        when the Kiwi doesn't have GPS clock correction. Try MSK200 mode on these (and others)
        EU: DHO38, HWU(20.9), TFK(ISL), NSY, FUG(62.6), JXN?(NOR)
        NA: NAA, NLK, NLM4, NAU(PR)
        PAC: NWC(AUS), NPM(HI), NDT/NDI?(JPN), VTX?(IND)
        Use demod settings: AM mode, passband 50-100 Hz
        IQ extension settings: gain = auto-scale, density, mode = IQ, MSK200, pll_bw <= 5

v1.250  December 31, 2018
    Add 20 kHz wide audio bandwidth mode.
        A third entry to the list of FPGA configurations. See admin "mode" tab for details.
    
    Add Ethernet 10/100 speed select to admin network tab.
        The speed changes after a few seconds of delay (no Kiwi restart required).
        This allows you to be looking at a waterfall in another window and see if
        the Ethernet spurs (if present at your installation) improve or not.
        Be sure the device (router, switch) your Kiwi connects to supports 10 Mbps Ethernet.
    
    Accept 'k' & 'M' scaling suffixes in frequency and passband parameters.
        Examples: Type "/15k" in frequency box to get a 15 kHz wide passband. Or "/2.7k", "-5k,10k" etc.
        Use a URL of "...?f=7.4M/16.5k" to set a frequency of 7.4 MHz and passband of 16.5 kHz.
        Note uppercase 'M' since 'm' is already keyboard shortcut for mute.
        You can remember this because the 'M' in MHz is always capitalized whereas 'k' in kHz is not.
        Note also 'k' used to be paired with 'j' as the frequency up/down jog shortcut.
        Now the 'j' and 'i' keys are used (also 'J' and 'I' to jog faster).
        Using the 'i' key is actually more natural because it fits the placement of your
        index and middle fingers better than 'j' and 'k'.
        Finally, 'i' was previously used to select IQ mode. Now use 'q' instead.
        Type 'h' or '?' to see the complete keyboard shortcut help panel.

v1.249  December 11, 2018
    If applicable show remaining time of 24hr time limit in user lists
        (in orange text on both user tab and status tab of admin page).

v1.248  December 10, 2018
    Fix race condition in 24hr time limit code. Charge time from multiple connections.

v1.247  December 7, 2018
    Prevent bad sdr.hu configuration.

v1.246  December 6, 2018
    Added Christoph's GNSS Kalman filter. Spectacular improvement in position solutions.
        Accuracy is improved and outliers are removed (on the admin GPS tab the "solution"
        status indicator "S" will no longer flash red indicating a bad solution).
        Most importantly the filter allows solutions to be computed when there are fewer
        than 4 satellites being received (the usual requirement for an MLAT solution).
        This will significantly improve the amount of time a Kiwi is eligible for TDoA use.
        See Christoph's blog post for more details:
        hcab14.blogspot.com/2018/09/kiwisdr-gnss-position-solutions-using.html
    
    Brightness control of the 4 blue status LEDs added (see new menu in admin config tab).

v1.245  November 1, 2018
    Show message when extension is dynamically loading.
 
v1.243,244  October 25, 2018
    Security improvements.
 
v1.242  October 24, 2018
    Remove CIC compensation because it causes WSPR distortion.
 
v1.241  October 21, 2018
    Revert changes since v1.240 causing occasional audio pauses and/or static bursts.
 
v1.240  October 19, 2018
    Dynamically load extension code (Javascript & CSS).
        Part of changes to improve initial page load time.
    Admin GPS map: use new map provider.
    TDoA: add graticule overlay. Has bug of not always being visible.
    Reduction in disconnects when > 6 channels connected and non-Kiwi Linux tasks running.
        This is an improvement, but the problem is not completely solved.
 
v1.239  October 14, 2018
    User interface improvements:
        'x' and 'y' shortcut keys toggle control panel, top bar visibility respectively.
 
v1.238  October 7, 2018
    TDoA extension:
        Changed mapping provider. BETA TEST. There are known problems, but it is better
        than the currently broken Google map. Use "gmap:" in URL to use old Google maps,
        e.g. "?ext=tdoa,gmap:"
 
v1.237  October 2, 2018
    Fix bug causing server crash-loop on update if WSPR auto-run enabled.
 
v1.236  October 1, 2018
    Changed timezone lookup providers.
 
v1.235  September 30, 2018
    Christoph's fixes for clean web socket connection closing.
 
v1.234  September 29, 2018
    Increase receiver DDC channel NCO phase word width from 32 to 48 bits.
        This stops all rotation of (ground wave) LF/VLF signals on the IQ extension display
        caused by increased quantization of NCO phase for low receive frequencies when
        a phase word of only 32-bits is used.

v1.233  September 28, 2018
    Fixed precision bug in mixer NCO value computation.

v1.232  September 25, 2018
    TDoA extension improvements:
        New checkbox to select Christoph's improved TDoA algorithm. Original algorithm still available.
            To select in URL use "new:" e.g. "... &ext=tdoa, ... ,new:,submit:"

v1.231  September 22, 2018
    Add "click to start" overlay now that Safari 12 implements auto-play restrictions.

v1.230  September 19, 2018
    CW decoder: add filter output graph with threshold indicator.
    Fix Google timezone lookups.

v1.229  September 18, 2018
    CW decoder extension improvements:
        Require 4 decoding errors before re-train. (previously just 1)
        Added error count indicator.
        Specifying extension argument fixes decoder filter frequency and disables passband tracking.
            e.g. my_kiwi:8073/?ext=cw,500
    In addition to specifying passband "/pbw" and "/lo,hi" in URL and frequency entry box
        can now also specify ":pbc" and ":pbc,pbw" to easily change passband center.
    Added event notification API for the benefit of CATSync.

v1.226,227,228  September 17, 2018
    CW decoder extension improvements:
        Realtime fixes.
        Added checkbox for "word space correction".
            Change when spacing between words is consistently wrong.
        Added checkbox for "threshold correction".
            Checking seems to help with weak signal decoding.
        Added a button which resets the code.
        Added a "train" indicator that lights when code speed training is active.

v1.225  September 16, 2018
    CW decoder extension fixes.

v1.224  September 15, 2018
    Added CW decoder extension.

v1.223  September 12, 2018
    CIC filter compensation via empirical measurement.
    Minor TDoA UI improvements.

v1.222  September 11, 2018
    Re-enabled the AM post-detector FIR filter after fixing the underlying problem as the
        FIR filter is needed to workaround the known issue with CIC filter droop.
    TDoA extension improvements:
        "rerun" button: reruns the TDoA calculation using the existing samples.
            Useful when you just want to adjust the map position/zoom or remove a
            station's samples from the list and then recalculate.
        If any of the TDoA result maps are selected when the submit or rerun buttons
            are pressed then the position/zoom of the result map is used for the new run.
            Previously only the Kiwi map position/zoom was ever used.
            

v1.220,221  September 9, 2018
    Added audio FFT in the waterfall/spectrum for those channels where the regular
        multi-level zoom waterfall/spectrum is not available.

v1.219  August 30, 2018
    Christoph's fix for web socket close.
    Update Galileo sat list.
    Admin control tab option to disable all waterfall/spectrum display.
        By request. This option saves Internet bandwidth.
        Doesn't include audio FFT waterfall which consumes no additional Internet bandwidth.

v1.218  August 20, 2018
    Solution for the GPS "diminishing fixes" problem.

v1.217  August 20, 2018
    Fixed negative passband values in URL.

v1.216  August 7, 2018
    All 12 GPS channels now support any satellite type (Navstar/QZSS/Galileo).
    Do URL redirect if configured and Kiwi is marked down.

v1.215  August 3, 2018
    New admin config parameters to set external ADC clock frequency and GPS correction.
    Other ADC clock control improvements in IQ extension and "cal ADC clock" menu item.
    Fix race causing incorrect inactivity timeouts under certain circumstances.
    Passband can be specified in the "f=" URL parameter, format same as frequency entry box.
        See: http://kiwisdr.com/quickstart/index.html#id-user-tune
        This is an alternative to specifying the passband alone with "pbw=" or "pb=" parameters.

v1.214  August 1, 2018
    TDoA extension improvements:
        Fix for TDoA with a mix of RX4 and RX8 mode Kiwis (GPS timestamp offset).
        Get reference station list from kiwisdr.com instead of hardwired in code.
        Keep selected Kiwi and reference markers out of marker clusters.

v1.213  July 31, 2018
    RX8WF2 mode
        Fix detection of all channels busy.
        Added "no_wf" URL parameter to force non-waterfall channel to be used, e.g.
            my_kiwi:8073/?ext=wspr,40m&mute&no_wf
        In the users list option tab show our channel number in green to distinguish from others.

v1.212  July 30, 2018
    Beta test of RX8WF2 mode: more receiver channels.
        See the new "mode" tab on the admin page for details.

v1.211  July 25, 2018
    Fix TDoA channel limit bug.

v1.210  July 25, 2018
    Correct dictionary-order sort of extension names in lists and menus.
    TDoA extension improvements:
        Added reference station categories.
        Admin page extensions tab lets you limit number of channel used by TDoA service.
        Admin page security tab lets you disable sending GPS timestamps completely.
        Moved "TDoA ID" setting from sdr.hu tab to TDoA tab on extensions page
        Updated help info.

v1.209  July 22, 2018
    TDoA extension improvements:
        When TDoA complete automatically switch to result map.
        Switch option bar to 'off' (and restore) when TDoA running. Obscures the map less.
        Option checkboxes moved to right of map display.
        Added checkboxes to show/hide reference stations and day/night overlay.
        Added more references stations.
    Fix passband width adjustment when passband is offset from carrier (i.e. ssb, cw)
    Use pointer cursor for menus and checkboxes.

v1.208  July 21, 2018
    Commas in frequency entry field work again (broken since keyboard shortcuts added).
    Can now quickly change passband via entry in frequency entry field:
        Type "freq/pbw" or just "/pbw" where pbw is the passband width in Hz
        or the low and high edges with "low,high".
        Examples:
        1234.56             set f=1234.56 as usual
        1234,56             set f=1234.56 using comma as decimal separator
        234.56/1200         set f=234.56 and pbw=1200 around current pb center
        /600                set pbw=600
        /300,3000           set pb=(300,3000) i.e. usb 2700 Hz wide
        7255/-2600,-300     set f=7255 and pbw=(-2600,-300) i.e. lsb 2300 Hz wide
    Facility added to load certain javascript asynchronously (e.g. Google maps).
    
    TDoA extension improvements:
        New URL parameter "submit:" that will automatically start TDoA on webpage load.
            e.g. ...?ext=tdoa,submit:,F1JEK,DL6ECS,SWL/JO21JN,DCF77
            There is a 6 second delay for the initial status inquiries to complete.
        6 character grid square used for ID instead of old "KiwiNNN" (Thanks Martin).
        Duplicate IDs distinguished by appending /N to the ID (N = 2,3,...)
        Multiple Kiwis at identical locations on map dithered slightly so all are visible.
        More reliable communications protocol with server should prevent hangs.
        Submit button changes to a stop button while TDoA running (feature may still have bugs).
        "Most likely position" marker now shown on result maps.
            This in addition to reference position if one has been specified.
        Most likely position lat/lon shown at panel top along with cyan Google map link.
            Triple-click on lat/lon value to copy/paste.
        Green link icon at panel top has URL with current TDoA extension configuration
            Right-click while hovered on link to create configuration bookmark or
            click to open in a new tab/window (less useful).
            Link is continuously updated as map is changed, host list changed etc.
        After sampling each host shows a download icon for the recorded .wav IQ file.

v1.207  July 17, 2018
    TDoA extension improvements:
        Allow extension parameters in URL, e.g.
            ...?ext=tdoa,lat:49,lon:7.5,z:6,F1JEK,DL6ECS,DCF77
            Will zoom the map to specified lat/lon/zoom and select specified Kiwis and ref station.
            lat/lon/zoom is displayed at control panel upper right for reference.
        Cluster markers when they are too close together:
            Hover mouse over cluster for list of markers it contains.
            A cluster single-click zooms +1.
            A cluster double-click zooms in to reveal all the markers.
        Show Kiwi markers on new maps (just like they are shown on old maps).
        Second double-click of reference marker goes back to last map position/zoom.
        Kiwi map type selected is carried to result map type.
        Added additional reference stations:
            WWV/B, NMC, KPH, JJY/40/60, NDT/JJI, NDI, JXN, VTX3/4, DCF49/HGA22/DCF39, DDH47

v1.206  July 16, 2018
    TDoA extension improvements:
        On selection detect Kiwi offline or requiring password.
        Added additional reference stations.

v1.205  July 15, 2018
    TDoA extension improvements:
        Improved error detection and messages.
        Update help content.

v1.204  July 14, 2018
    Doh..

v1.203  July 14, 2018
    TDoA extension improvements:
        New mode: plot results on a Google map
        Add distance scale to map.
        Kiwi list UI improvements.
    Fixed bug in audio recorder when using IQ mode.

v1.202  July 13, 2018
    TDoA extension improvements:
        Better error message when out-of-memory.
        Added additional reference stations.
    Fixed bug where local time displayed the same as UTC.

v1.201  July 12, 2018
    TDoA extension improvements:
        Highlight Kiwi markers (while -> yellow) selected for sampling list.
        Added additional reference stations.
        
v1.200  July 11, 2018
    TDoA extension improvements:
        Double-click reference station markers to zoom in/out.
        Map reference location field where custom lat, lon and name can be entered.
        Can select Google map type.

v1.199  July 10, 2018
    TDoA extension improvements:
        Allow Google map zoom level 3.
        Add more info to station tooltip (user count, antenna description).

v1.198  July 9, 2018
    TDoA extension improvements:
        Require minimum map zoom.
        On startup Kiwis appear on map sooner.
    Trying different audio recording icons.

v1.197  July 8, 2018
    TDoA extension improvements:
        Kiwi markers set dynamically based on GPS activity.
        Added more known LF/VLF targets.
        New “TDoA id” field on sdr.hu tab of admin page.
        Set this to alter your Kiwi’s TDoA map marker label.
    Added audio recording button (left of mute icon) thanks to code from Daniel Ekmann.

v1.196  July 7, 2018
    Added TDoA-service extension. Under development.
    Fixed bug that reduced the frequency of GPS solutions under certain conditions.
    Include GPS good/fix counts in /status URL query.
    Add URL args to redirect URL, e.g. a connection to mykiwi:8073/?f=5000 will redirect to
        mykiwi:8074/?f=5000 if mykiwi:8074 is the configured redirect URL (thanks PK).
    Support Ethernet / WiFi virtual interfaces, e.g. eth0:1
        Some people use this to implement dual IPv4/IPv6 local networks.
    Major w3_util API cleanup including update from W3.css v2.65 to v3.4
    Disable keyboard shortcuts for Firefox <= v52, Chrome <= v49 and Opera <= v36 due to
        browser compatibility problems.
    Use a build directory outside the source tree so that source files can be shared between
        a development machine and the Kiwi Beagle (e.g. files shared with NFS).

v1.195  May 18, 2018
    Fix frequency field input on older versions of iOS.
    Ensure /etc/resolv.conf for DNS is valid on startup.

v1.194  May 13, 2018
    Fixed memory allocation bug in dx label processing.

v1.193  May 12, 2018
    Don't interfere with control key on Linux/Windows (and all non-OSX OSs)

v1.192  May 12, 2018
    Typing into password fields is now masked, i.e. characters echo as dots.
    Added compression-mode toggle button to audio tab (green = compressed, the default).
        Network data rates: audio compressed = 6 kB/s, uncompressed 24 kB/s (B = bytes).
    Added external ADC clock selection switch to config tab of admin page.
    Switch to using three new geolocation servers.

v1.190,191  May 10, 2018
    Added keyboard shortcuts. Press "h" or "?" to toggle a help list. Work in progress.
    IQ display extension now supports mPSK (BPSK, QPSK, 8PSK) carrier locking.
        See the Kiwi forum for more details.
    DX edit panel:
        1) New "extension" field. Place name of extension and associated parameters in this field
        and the extension will be started when dx label is clicked. Label turns magenta instead of
        yellow when you mouse over the label and an extension has been specified.
        Use ctrl/alt-click to skip starting extension and only select frequency as usual.
        Extension specification is the same as used in the URL "ext=" parameter. See documentation.
        2) New "passband" field. Format is a single number in Hz specifying the width of a
        symmetrical passband around the carrier (i.e. AM or DSB) or two numbers separated by a
        comma or space specifying the low and high passband offsets (e.g. "300, 700" for USB-CW)
    With the above two features you can create a dx label for a STANAG 4285 signal that specifies
        the proper 2400 Hz AM bandwidth (+/- 1200 around carrier) and then a label extension field
        of "iq,density,8PSK".
    FAX extension aligns entire image when shift-click is used.
        Also touch alignment now works on mobile devices.
    Escape key now closes extension and confirmation panels in all cases.

v1.189  May 2, 2018
    Kiwi extensions: convert .c files to .cpp for clang compiler compatibility.

v1.188  May 1, 2018
    Switch compilers from gcc to clang. Build times now twice as fast.
    Add Kiwi URL redirect capability. Allows multiple Kiwis to respond to a single URL.
        See admin page "connect" tab for description.

v1.187  Apr 29, 2018
    Fix timing bug with JSON configuration saves.

v1.180,181,182,183,184,185,186  Apr 27, 2018
    Add WSPR background autorun mode.
        See instructions on admin page, "extensions" tab, WSPR menu entry.

v1.179  Apr 19, 2018
    Fix for Chrome's new "no autoplay" audio policy. Display the "click to start OpenWebRX"
        overlay that is used with iOS mobile devices.
    Fix to eliminate audio glitches when a large dx list is edited/updated from the web interface.

v1.176,177,178  Apr 18, 2018
    The Kiwi GPS now receives Galileo satellites in addition to Navstar and QZSS.
        A GPS antenna with restricted sky visibility will now have more satellites to choose from
        and should produce position/time solutions more often.
        Please consider attaching the GPS antenna to your Kiwi, especially if yours is a
        public Kiwi listed on sdr.hu  This will assist with ongoing HF direction finding experiments
        as well as serve as a source of frequency calibration for your Kiwi.
        Thanks to Christoph Mayer for important insight and bug fixes.
    Admin GPS tab now has Google map display.
    Support Vivado 2017.4 for building FPGA image.

v1.175  Mar 5, 2018
    GPS fixes and improvements.
    Include copy of bb-cape-overlay package for Debian 8.10 /dev/spidev* workaround

v1.174  Feb 23, 2018
    Display DHCP/static IP address on Beagle LEDs.
        See kiwisdr.com/quickstart/index.html#id-leds

v1.173  Feb 14, 2018
    Check against bad GPS az/el solutions.

v1.172  Feb 13, 2018
    Respect GPS subframe alert flag. Don't include sat in position fix if alert flag is set.
    Add "include alerted?" switch to GPS tab on admin page to override alert exclusion.

v1.171  Feb 11, 2018
    Admin GPS tab additions.
        Shadow map. Shows long term areas of non-reception caused by "shadowing" of buildings and terrain.
        For Asia/Oceania, a locator for the new geosynchronous QZS-3 sat will appear as a circle.
            Combined with the shadow map this will indicate if QZS-3 is likely to be received.

v1.170  Feb 8, 2018
    Added GPS support for Japan's Quasi-Zenith Satellite System (QZSS).
        Should have reception over entire Asia-Oceania region (heard fine in New Zealand).

v1.169  Feb 6, 2018
    Faster GPS sat acquisition (260 -> 60 msec) from Christoph Mayer.
        Adjust bin size so power-of-two FFTs can be used.
        Use ARM NEON SIMD instructions.

v1.168  Feb 1, 2018
    Improve speed of DX label handling.

v1.167  Jan 31, 2018
    FSK:
        Leave zoom alone when changing shift etc.
        Fix bug in EFR mode that makes it print “undefined”.

v1.166  Jan 30, 2018
    FSK: Add shift position markers on top of waterfall below passband.
    WSPR: darken call/grid link colors.

v1.165  Jan 28, 2018
    Add alternate 80m and 60m WSPR frequencies.
    Fix bug preventing inactive connection timeout from working.
    Add custom shift and baud rate fields to FSK extension.

v1.164  Jan 27, 2018
    Catch null pointer when kiwisdr.com is down.
    On admin sdr.hu tab, limit resolution of GPS assist lat/lon field-fill for privacy reasons. 

v1.163  Jan 23, 2018
    FSK extension:
        EFR Teleswitch decoding improvements.
        CHU decoding working.

v1.162  Jan 22, 2018
    FSK extension: support for EFR Teleswitch stations (130-140 kHz in Europe).

v1.161  Jan 21, 2018
    Actually enable the FSK extension.
        Add more baud and shift values to menus.
        Improvements to the framing tool.

v1.160  Jan 20, 2018
    Fixed FSK menu bug.

v1.159  Jan 20, 2018
    Navtex: add frequency to DX mode, next/prev menu entry buttons.
    Added FSK extension. A work in progress. Not all framing modes seem to work.

v1.158  Jan 17, 2018
    Add Navtex DX mode. Each new message prints a single line containing a timestamp,
        header information and the first 80 characters of the message.

v1.157  Jan 16, 2018
    Fix user display on admin status tab
    Add volume URL parameter, e.g. kiwisdr:8073/?vol=100
        vol = 0 to 200(%), default is 50%

v1.156  Jan 12, 2018
    Fixed FAX frequencies: Athens (way off) and Northwood UK 4 MHz (100 Hz error).
    Added GPS tracking PLL IQ display to admin interface.
    Added scope display to Navtex extension.

v1.155  Jan 3, 2018
    Navtex extension:
        Add baud error indicator.
        Add HF frequencies menu.
        Text window clear button.
        Mark/space invert checkbox.
    Another fix to NDB database lookup function.
    API fix for antenna switch extension.

v1.154  Jan 2, 2018
    New Navtex extension.
    Major user interface changes:
        New “option tab” user interface for lower right control panel.
        Removed lower left status panel. Replaced with the new "Users" and "Stats" option tabs.
        Next/previous history buttons next to frequency entry box.
            If using a keyboard press return key to select displayed frequency.
            Otherwise prior frequency will return after three seconds.
            Doesn't really work yet for mobile devices.
        Added numeric dBm value to S-meter.
        Added classic LMS denoiser and autonotch to audio tab. Filter controls on extension panel.
            The LMS filters are not a panacea for all filtering problems.
            They are tricky to adjust and don't work in all situations.
            The presets are a work-in-progress.
        Added audio mute icon/button to right of spectrum button (renamed "Spec" to fit).
        WF option tab
            Number after "WF" on option tab button is current zoom level, e.g. "WF10"
            "Auto Scale" button: automatically sets WF min/max.
                Best when there are a range of signal levels.
            "Slow Dev" button: Use when you have audio drops on slow mobile devices (e.g. old iPad).
                Uses single color in spectrum and slower waterfall speed.
            "colormap" & "contrast" menus: beginnings of waterfall colormap control. Work-in-progress.
            "spec filter" menu: variable spectrum time constant so decay time can be varied.
        Add URL parameter to set initial waterfall speed:
            wf={0, off, 1, 1hz, s, slow, m, med, f, fast} e.g. kiwi:8073/?wf=1hz
        Fixed problem with NDB database lookup not working.
        Removed “less buffering” and “compression” buttons from Audio tab until they are working.

v1.153  Dec 7, 2017
    Add threshold slider to noise blanker.

v1.152  Dec 6, 2017
    First attempt at adding a noise blanker.
    Added variable speed waterfall ("WF rate" slider)
    Now on extended control panel, via "more" button:
        The "WF max" slider.
        Sound "Less buffering" (formerly "SND") and "Compression" buttons.
    Loran-C extension: fix truncated display for larger GRI values.

v1.151  Nov 25, 2017
    Adds GPS-derived timestamp in IQ mode (contributed patch)

v1.150  Nov 22, 2017
    Fix broken menu selections on admin page.
    Added "always acquire" switch to GPS tab of admin page.

v1.149  Nov 22, 2017
    Connect to geolocation servers using https for benefit of Kiwis behind https/ssl proxies (contributed patch)
    Fixed problem with Kiwi server geolocation of user connections randomly failing.
    Added a "continue anyway" button to the javascript version mismatch dialog.

v1.148  Nov 21, 2017
    Fix timestamp wrong latch clock.

v1.147  Nov 21, 2017
    When setting static ip address allow DNS servers to be specified.
    Fix timestamp in audio IQ stream.

v1.146  Nov 18, 2017
    IBP scanner iPad problem fixed.

v1.145  Nov 18, 2017
    Reverted last IBP scanner commit due to problems on iPad.

v1.144  Nov 17, 2017
    Improvements to IBP scanner extension from VE3SUN (see http://ve3sun.com/KiwiSDR/IBP)
    Automatically position extension data display when browser window resized.

v1.143  Nov 13, 2017
    Added this CHANGE_LOG file.
    Fixed crash caused when invalid numeric entries used in label edit panel.
    Stop IBP_scan waterfall annotations after extension closed.

v1.142  Nov 12, 2017
    New repository https://github.com/jks-prv/Beagle_GPS
    A version of KiwiSDR with the SDR code removed for people who only want to experiment with GPS.
    Easier to understand and compiles faster than full KiwiSDR repo.
    Except for the FPGA simulation, this is a replacement for http://www.jks.com/sdgps/sdgps.html

v1.141  Nov 7, 2017
    Admin webpage tab has textarea input for HTML that is added to the <head> element of
    the main page. Useful to add for example Javascript to setup Google analytics.

v1.140  Nov 1, 2017
    Bug fix allowing IQ mode in labels (kiwi.config/dx.json file).

v1.139  Nov 1, 2017
    New IQ demodulator mode (button to the right of NBFM) that, among other things, allows
    DRM decoding using the external Dream application. Requires use of
    "virtual audio cable" software on your computer to route the browser audio output to the
    input of Dream or other app. See the KiwiSDR forum for details.

v1.138  Oct 25, 2017
    Improvements from VE3SUN:
        IBP: Waterfall annotation of IBP station callsign.
        IBP: Waterfall autosave to jpg file.
        "DX cluster lookup" right-button menu entry.
        25-entry last frequency memory. Use keyboard up/down keys to access.

v1.137  Oct 16, 2017
    Security improvements:
        No more storage of admin password in cookies.
        Create file kiwi.config/opt.no_console to disable root console capability completely.
        File kiwi.config/opt.admin_ip can limit admin connections to a single ipv4/ipv6 address
        on the local network (put ip address in file).
        Note: for security reasons it makes no sense to put these options _in_ the admin webpage.

v1.136  Oct 11, 2017
    Update needed because kiwisdr.com moved to a new server.

v1.135  Oct 8, 2017
    Bug fix in time limit exemption password code.

v1.134  Oct 8, 2017
    Bug fix in time limit code.

v1.133  Oct 8, 2017
    Fix top bar congestion. As the window width is narrowed (or for small screen devices) items
    on the top bar will be removed. Before the items would overlap making them unreadable.

v1.132  Oct 2, 2017
    Bug fix.

v1.131  Oct 2, 2017
    Added 24hr per-ip address connect time limit to admin interface. Now you can limit how long
    a particular ip address can connect during a 24 hour period.
    Fixed S-meter residual color problem.

v1.130  Sep 30, 2017
    Added a GPS Azimuth/Elevation display option.
    
TODO: earlier releases
